<?php
declare(strict_types=1);

namespace PpPhp\Core\Platform\DI\Contracts;

interface ScopeInterface
{
    public function id(): string;
    public function has(string $id): bool;
    public function get(string $id): mixed;
    public function set(string $id, mixed $value): void;
    public function clear(): void;
}
